package com.zjrs.zwnw.dbgl.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.dbgl.dto.*;
import com.zjrs.zwnw.dbgl.po.RsdbgldbrwPO;

import java.util.List;
import java.util.Map;

@Mapper
public interface DbrwglCommMapper extends BaseMapper<RsdbgldbrwPO> {
    //获取用户字典项
    public List<DictDTO> getOrgs(@Param("dto") DictGetDTO dto);
    //获取机构字典项
    public List<DictDTO> getUsers(@Param("dto") DictGetDTO dto);

    Map<String, Object> getQtbmFgldByXmid(@Param("dto") DbrwglCommDTO dto);

    List<Map<String, Object>> getXbbmFgldByXmid(@Param("dto") DbrwglCommDTO dto);

    List<Map<String, Object>> getQtbmFgldByRwid(@Param("dto") DbrwglCommDTO dto);
    List<Map<String, Object>> getXbbmFgldByRwid(@Param("dto") DbrwglCommDTO dto);
    public Page<Map<String, Object>> getGzqdjzqkList(Page<Map<String, Object>> page, @Param("dto") DbrwglCommQueryDTO dto);

    public Page<Map<String, Object>> getShlsListByQdid(Page<Map<String, Object>> page, @Param("dto") DbrwglCommQueryDTO dto);
    public Page<Map<String, Object>> getPsjlLstByQdid(Page<Map<String, Object>> page, @Param("dto") DbrwglCommQueryDTO dto);
    public Page<Map<String, Object>> getDbtxList(Page<Map<String, Object>> page, @Param("dto") DbrwglDbrwclGzjzshQueryDTO dto);

    public Page<Map<String, Object>> getDbfpList(Page<Map<String, Object>> page, DbrwglDbrwclGzjzshQueryDTO dto);

    public Page<Map<String, Object>> getDbtbList(Page<Map<String, Object>> page, DbrwglDbrwclGzjzshQueryDTO dto);

    public Page<Map<String, Object>> getDbshList(Page<Map<String, Object>> page, DbrwglDbrwclGzjzshQueryDTO dto);

    public List<DictDTO> getJgfzrOrgs(@Param("dto") DictGetDTO dto);
}
